package com.fjhx.stock.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.StockBackPlanDetails;
import com.fjhx.params.stock.StockBackPlanDetailsVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-02
 */
public interface StockBackPlanDetailsService extends BaseService<StockBackPlanDetails> {

    Page<StockBackPlanDetails> getPage(Map<String, String> condition);

    void add(StockBackPlanDetailsVo stockBackPlanDetailsVo);

    void edit(StockBackPlanDetailsVo stockBackPlanDetailsVo);

    void delete(StockBackPlanDetailsVo stockBackPlanDetailsVo);

}
